Skip to main content
GET
/
api
/
v1
/
products
/
{id}
Obtener producto por ID
curl --request GET \
  --url https://api.lapyme.com.ar/api/v1/products/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "category": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "sku": "<string>",
    "barcode": "<string>",
    "oemCode": "<string>",
    "currency": "<string>",
    "cost": 123,
    "price": 123,
    "taxRate": {
      "id": 123,
      "value": 123
    },
    "stockMinimum": 123,
    "defaultSupplier": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "productType": "product",
    "isActive": true,
    "organizationSlug": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "effectivePrice": 123,
    "priceSource": "automatic",
    "appliedPriceList": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "isAutomatic": true,
      "automaticPricingMode": "base_price_adjustment",
      "adjustmentPercentage": 123,
      "taxInclusive": true
    }
  }
}

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer

Path Parameters

id
string<uuid>
required

ID único del producto

Example:

"prod-123e4567"

Query Parameters

priceListId
string<uuid>

ID de la lista de precios para calcular precio efectivo

Example:

"pl-123e4567"

Response

Producto obtenido exitosamente

success
enum<boolean>
required
Available options:
true
data
object
required